package com.izouma.awesomeadmin.model;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;


@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class VuforiaTarget {

    private String targetId;

    private Boolean activeFlag;

    private String name;

    private Double width;

    private Integer trackingRating;

    private String recoRating;

    public String getTargetId() {
        return targetId;
    }

    public void setTargetId(String targetId) {
        this.targetId = targetId;
    }

    public Boolean getActiveFlag() {
        return activeFlag;
    }

    public void setActiveFlag(Boolean activeFlag) {
        this.activeFlag = activeFlag;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Double getWidth() {
        return width;
    }

    public void setWidth(Double width) {
        this.width = width;
    }

    public Integer getTrackingRating() {
        return trackingRating;
    }

    public void setTrackingRating(Integer trackingRating) {
        this.trackingRating = trackingRating;
    }

    public String getRecoRating() {
        return recoRating;
    }

    public void setRecoRating(String recoRating) {
        this.recoRating = recoRating;
    }
}

